%define module	DateTime-Format-Duration
%define name	perl-%{module}
%define version 1.02
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	  	 Format and parse DateTime::Durations 
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RI/RICKM/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc LICENSE README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sat Feb 12 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk 
- first mdk release
